## libgems-ruby 1.3.7

=== debian/changelog ===
libgems-ruby (1.3.7-3) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Team Upload.
  * Recommend libruby1.8-dev and build-essential instead of suggesting them,
    because we have to answer that FAQ too frequently. LP: #244742

  [ Clint Byrum ]
  * debian/patches/50_add_missing_require_yaml.diff require 'yaml' in 
    lib/rubygems/specification.rb (Closes: #597554)

 -- Clint Byrum <clint@ubuntu.com>  Wed, 03 Nov 2010 13:15:02 -0700

libgems-ruby (1.3.7-2) unstable; urgency=high

  * Team upload.
  * Drop rubygems for 1.9.1, as it was moved to the ruby1.9.1 source package
    in version 1.9.2.0-1.
  * Provide a way to override Debian's disabling of gem update --system by
    setting an environment variable.
    This change is a compromise solution to solve long-standing user complaints
    about Rubygems in Debian.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 11 Sep 2010 08:07:37 +0200

libgems-ruby (1.3.7-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Team upload.
  * Drop rdoc1.8 and rdoc1.9.1 from Build-Depends, as those packages were
    merged into ruby1.8 and ruby1.9.1.

  [ Daigo Moriwaki ]
  * New upstream release. (Closes: #589511)
  * Converted dpatch to quilt.
  * Removed: debian/patches/20100408-version_requirements-r2459.dpatch,
    which has been applied by the upstream.

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 19 Jul 2010 18:45:43 +0900

libgems-ruby (1.3.6-2) unstable; urgency=low

  * Added a patch: debian/patches/20100408-version_requirements-r2459.dpatch
    fixing an undefined method error (version_requirements=), which is a
    backport from the upstream r2459. Thanks to Jeremy Lal.
    (Closes: #576870)

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 08 Apr 2010 21:54:01 +0900

libgems-ruby (1.3.6-1) unstable; urgency=low

  * New upstream release (Closes: #574801)
  * Added debian/README.source due to depending on dpatch to build.
  * debian/control: Bumped up Standards-Version to 3.8.4.

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 07 Apr 2010 19:22:46 +0900

libgems-ruby (1.3.5-2) unstable; urgency=low

  * debian/rules: Fixed a FTBFS bug. Thanks to Jon Bernard for a patch.
    (Closes: #549778)

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 26 Oct 2009 19:59:51 +0900

libgems-ruby (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * Removed rubygems1.9 package. Instread, provide rubygems1.9.1 for
    ruby1.9.1.
  * added debian/fixshebang.sh to fix a shebang line.
  * debian/control: Bumped up Standards-Version to 3.8.2.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 08 Aug 2009 14:30:17 +0900

libgems-ruby (1.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 14 Jun 2009 17:33:44 +0900

libgems-ruby (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Gems failed to build a gem package with a gemspec that does not have a
    homepage attribute. This issue has been fixed by the upstream. 
    (Closes: #529713)

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 21 May 2009 23:02:55 +0900

libgems-ruby (1.3.2-1) unstable; urgency=low

  [ Daigo Moriwaki ]
  * New upstream release.
  * debian/control:
    - Bumped up the Standards-Version to 3.8.1.
    - Depend ${misc:Depends} as well.
  * debian/rules:
    - Removed a deprecated dependency to a 'TODO' file.
  * Bumped up the compat level to 7.
    - debian/compat
    - debian/control.

  [ Gunnar Wolf ]
  * Changed section to Ruby as per ftp-masters' request

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 28 Apr 2009 21:18:02 +0900

libgems-ruby (1.3.1-1) experimental; urgency=low

  * New upstream release.
  * Removed debian/patches/21_avoid_ioseek.dpatch since the upstream checks
    I/O errors now.

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 19 Nov 2008 00:03:20 +0900

libgems-ruby (1.2.0-3) unstable; urgency=low

  * debian/control:
    - `rubygems' is present again to provide a dependency
      package referring to rubygems1.8. 
    - Bumped up Standards-Version to 3.8.0: used ${binary:Version} instread.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 31 Aug 2008 23:56:21 +0900

libgems-ruby (1.2.0-2) unstable; urgency=low

  * debian/rules: Fixed a file conflict with libruby1.9 (Closes: #493309)

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 03 Aug 2008 21:32:36 +0900

libgems-ruby (1.2.0-1) unstable; urgency=low

  * New upstream release. (Closes: #487820)
  * debian/control: Specified a minimum version of ruby1.9 because the 
    rubygems package was merged.

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 26 Jun 2008 23:10:40 +0900

libgems-ruby (1.1.1-2) experimental; urgency=low

  * The rubygems and libgems-ruby1.8 packages are now deprecated and merged
    into a new rubygems1.8 package. In addition, this source also provides 
    rubygems1.9. 

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 08 Jun 2008 22:31:57 +0900

libgems-ruby (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * No "instaling" (typo) found. Fixed by the upstream. (Closes: #443135)
  * debian/patches/01_default_gem_path.dpatch: install executables to
    /var/lib/gems/1.8/bin. (Closes: #458987, #480250)
  * debian/control: 'rubygems' package now Suggests ruby1.8-dev and
    build-essential since some gems may require native build. 
    (Closes: #466189)
  * gem now respects --http-proxy. Fixed by the upstream. (Closes: #414703)

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 10 May 2008 16:28:31 +0900

libgems-ruby (1.0.1-4) unstable; urgency=low

  * debian/etc/bash_completion.d/gem1.8: The completion did not work
    because of a wrong function name. This issue has been fixed. 
    Thanks to Victor Serbin.

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 27 Dec 2007 23:46:36 +0900

libgems-ruby (1.0.1-3) unstable; urgency=low

  * BTS numbers to be closed were wrong at 1.0.0-1.
    (Closes: #457065, #457180)

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 27 Dec 2007 23:31:56 +0900

libgems-ruby (1.0.1-2) unstable; urgency=low


